%define name aqbanking
%define version 1.0.7
%define release 1mdk
%define libname %mklibname %name 0
%define fname %name-%{version}
Name: %{name}
Summary: A library for online banking functions and financial data import/export
Version: %{version}
Release: %{release}
Source: http://prdownloads.sourceforge.net/aqbanking/%fname.tar.bz2
Group: System/Libraries
License: GPL
URL: http://sourceforge.net/projects/aqbanking
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgwenhywfar-devel >= 1.10.0

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %libname
Summary: A library for online banking functions and financial data import/export
Group: System/Libraries
Requires: %name >= %version-%release

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %libname-devel
Summary: Aqbanking development kit
Group: Development/C++
Requires: %{libname} = %{version}-%{release}
Provides: lib%name-devel = %{version}-%{release}
%description -n %libname-devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q -n %fname

%build
%configure2_5x

#parallel compilation must be disabled
#otherwise build will be linked with system libraries
#not the package one
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std
rm -f %buildroot%_libdir/*/*/*/*/*.a
perl -pi -e "s-L$RPM_BUILD_DIR/%fname/src/libs/aqbanking" %buildroot%_libdir/*.la %buildroot%_libdir/*/*/*/*/*.la
%find_lang %name

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/%{name}
%{_libdir}/gwenhywfar/plugins/*/dbio/*
%{_datadir}/%{name}

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking
%{_includedir}/aqbanking++
%{_libdir}/*a
%{_libdir}/*.so
%{_datadir}/aclocal/aqbanking.m4

%changelog
* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk 
- Release 1.0.7

* Mon Feb 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5beta

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-2mdk 
- Fix .la files

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- initial package
